---
title: Favorite Chat
description: "Marks or unmarks a chat as a favorite using its `chatId`. This helps with organizing and quickly accessing important chats."
docs_index: /docs/llms.txt
lastUpdated: 2026-10-23
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Marks or unmarks a chat as a favorite using its `chatId`. This helps with organizing and quickly accessing important chats.

#### `PUT /v1/chats/{chatId}/favorite`

> **Deprecated**: Favorite management is not supported in v0 API v2. Client-side favorite management can be implemented by setting custom chat metadata with [Update Chat](/docs/api/v2/reference/chats/update-chat), then reading it with [Get Chat](/docs/api/v2/reference/chats/get-chat) or [List Chats](/docs/api/v2/reference/chats/list-chats).

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.chats.favorite({
  chatId: '123',
  isFavorite: true,
})

console.log(result)
```

```bash
curl -X POST https://api.v0.dev/v1/chats/123/favorite   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"   -d '{
    "isFavorite": true
  }'
```

## API Signature

### Request

#### Path Parameters

- `chatId: string` The unique identifier of the chat to update. Provided as a path parameter.

#### Body

- `isFavorite: boolean` Specifies whether the chat should be marked as a favorite.

  - `"true"`: mark as favorite
  - `"false"`: remove from favorites

### Response

- `id: string`
- `object: 'chat'`
- `favorited: boolean`

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)